uint32_t GPSshows=0; // bugbug debug
void readGPS(){
    if(gps.read(&uBloxData)) {
      attachInterrupt(digitalPinToInterrupt(GPS_SRX), GPS_serialrx_isr, RISING);
      rtk.fixType = uBloxData.fixType;
      //rtk.numSV = uBloxData.numSV;
      //rtk.pDOP = uBloxData.pDOP;
      rtk.lat1 = uBloxData.lat;
      rtk.lon1 = uBloxData.lon;
  
      rtk.heading = ++GPSshows;  // bugbug debug
      //rtk.heading = uBloxData.heading;
      rtk.gSpeed = uBloxData.gSpeed;
      rtk.hMSL = uBloxData.hMSL;
      rtk.velN = uBloxData.velN;
      rtk.velE = uBloxData.velE;
      rtk.velD = uBloxData.velD;
      // Calculate utcTime for this loop iteration
      rtk.utcTime = ((uBloxData.utcHour)*60.0f*60.0f +
              (uBloxData.utcMin) *60.0f +
              (uBloxData.utcSec) +
              (uBloxData.utcNano)/1000000000.0);
      //timeStamp = 0.0;
      rtk.upDated = true;
    } else {
      rtk.utcTime = 0.0f;
      rtk.lat1 = 0.0f;
      rtk.lon1 = 0.0f;
      rtk.upDated = false;
    }
}

