//#define mjs
#define defragster

#if defined(mjs)
  // IMU Declares
  #define IMU_BUS       Wire  //Wire // SPI
  #define IMU_ADDR     0x68  //0x69 // 0x68 // SPI 9
  #define IMU_SCL       255  //47 // 0x255
  #define IMU_SDA       255  //48 // 0x255
  #define IMU_SPD    400000  //1000000 // 0==NULL or other
  #define IMU_INT_PIN    14  //50 // 1 // 14

  // Serial Declares
  #define cout       Serial
  #define cout_BAUD  115200
  #define coutD     Serial2  //Serial4  // Serial2
  #define coutD_BAUD 2000000  // coutD for DEBUG port
  
  //---- GPS Declares
  #define GPS_Start       1  // 1 // UBLOX gps(gps_Start);
  #define GPS_PORT  Serial1  // Serial1
  #define GPS_BAUD   460800
  #define GPS_SRX        27  //27 //9 // Must be set to Serial# Rx Pin #
  #define GPS_AltRx      27  // 27
  
#elif defined(defragster)
  // IMU Declares
  #define IMU_BUS       Wire  //Wire // SPI
  #define IMU_ADDR     0x69  //0x69 // 0x68 // SPI 9
  #define IMU_SCL       47  //47 // 0x255
  #define IMU_SDA       48  //48 // 0x255
  #define IMU_SPD    400000  //1000000 // 0==NULL or other
  #define IMU_INT_PIN    50  //50 // 1 // 14

  // Serial Declares
  #define cout       Serial
  #define cout_BAUD  115200
  #define coutD     Serial1  //Serial4  // Serial2
  #define coutD_BAUD 2000000 // 115200  // coutD for DEBUG port

  // GPS Declares
  #define GPS_Start       2  // 1 // UBLOX gps(gps_Start);
  #define GPS_PORT  Serial2  // Serial1
  #define GPS_BAUD   460800
  #define GPS_SRX        9  //27 //9 // Must be set to Serial# Rx Pin #
  #define GPS_AltRx      255  // 27 // else 255
#endif
